Bug 190794 - CVE-2006-1990 php security issue
Summary: CVE-2006-1990 php security issue
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Web Application Stack Beta
Classification: Retired
Component: php (Show other bugs)
(Show other bugs)
Version: v1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Gurhan Ozen
URL:
Whiteboard: source=bugtraq,reported=20060424,publ...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-05 08:33 UTC by Mark J. Cox
Modified: 2013-11-04 01:30 UTC (History)
1 user (show)

Fixed In Version: php-5.1.4-1.el4s1.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-12 15:25:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2006-05-05 08:33:41 UTC
CVE-2006-1990 - wordwrap integer overflow
An integer overflow issue was discovered in PHP.  This issue could
potentially lead to arbitrary code execution as it allows overwriting
an arbitrary section of memory with user supplied data.  The
exploitability of this issue will depend on how a user program is
written to accept and process data passed to the wordwrap function.

http://www.infigo.hr/en/in_focus/advisories/INFIGO-2006-04-02

Comment 2 Tomas Hoger 2008-11-12 15:25:06 UTC
This issue was addressed in Red Hat Application Stack v1 before GA.


Note You need to log in before you can comment on or make changes to this bug.